> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firstpromoter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive promo code by id

> Archive promo code by id only if promo code is created by current promoter.



## OpenAPI

````yaml openapi-v2-affiliate-promo-codes delete /promo_codes/{id}
openapi: 3.0.1
info:
  title: FirstPromoter API
  version: '1.0'
  description: API for managing promo codes in the FirstPromoter system
servers:
  - url: https://api.firstpromoter.com/api/v2/affiliate
security:
  - BearerAuth: []
paths:
  /promo_codes/{id}:
    delete:
      tags:
        - Promo Codes
      summary: Archive promo code by id
      description: >-
        Archive promo code by id only if promo code is created by current
        promoter.
      parameters:
        - $ref: '#/components/parameters/AccountId'
        - name: id
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Promo code archived successfully
        '401':
          description: >-
            Unauthorized — the Bearer access token is missing, invalid, expired,
            or revoked. No JSON response body is returned.
          content:
            application/json:
              schema:
                type: object
              example: {}
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    AccountId:
      name: Account-ID
      in: header
      required: true
      description: Account identifier that specifies which account is making the request
      schema:
        type: string
        example: acc_123456
  schemas:
    Error:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Access token passed as a Bearer token in the Authorization header

````